Index: trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.h
===================================================================
--- trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.h	(revision 8944)
+++ trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.h	(revision 8966)
@@ -16,10 +16,10 @@
 
 enum COR_BASE {
-  COBBASE_GPS = 1057,
+  COBBASE_GPS     = 1057,
   COBBASE_GLONASS = 1063,
   COBBASE_GALILEO = 1240,
-  COBBASE_QZSS = 1246,
-  COBBASE_SBAS = 1252,
-  COBBASE_BDS = 1258,
+  COBBASE_QZSS    = 1246,
+  COBBASE_SBAS    = 1252,
+  COBBASE_BDS     = 1258,
 };
 
@@ -35,5 +35,5 @@
 
 enum ClockOrbitType {
-  COTYPE_GPSORBIT = COBBASE_GPS + COBOFS_ORBIT,
+  COTYPE_GPSORBIT    = COBBASE_GPS + COBOFS_ORBIT,
   COTYPE_GPSCLOCK,
   COTYPE_GPSCOMBINED = COBBASE_GPS + COBOFS_COMBINED,
@@ -41,5 +41,5 @@
   COTYPE_GPSHR,
 
-  COTYPE_GLONASSORBIT = COBBASE_GLONASS + COBOFS_ORBIT,
+  COTYPE_GLONASSORBIT    = COBBASE_GLONASS + COBOFS_ORBIT,
   COTYPE_GLONASSCLOCK,
   COTYPE_GLONASSCOMBINED = COBBASE_GLONASS + COBOFS_COMBINED,
@@ -47,5 +47,5 @@
   COTYPE_GLONASSHR,
 
-  COTYPE_GALILEOORBIT = COBBASE_GALILEO + COBOFS_ORBIT,
+  COTYPE_GALILEOORBIT    = COBBASE_GALILEO + COBOFS_ORBIT,
   COTYPE_GALILEOCLOCK,
   COTYPE_GALILEOCOMBINED = COBBASE_GALILEO + COBOFS_COMBINED,
@@ -53,5 +53,5 @@
   COTYPE_GALILEOHR,
 
-  COTYPE_QZSSORBIT = COBBASE_QZSS + COBOFS_ORBIT,
+  COTYPE_QZSSORBIT    = COBBASE_QZSS + COBOFS_ORBIT,
   COTYPE_QZSSCLOCK,
   COTYPE_QZSSCOMBINED = COBBASE_QZSS + COBOFS_COMBINED,
@@ -59,5 +59,5 @@
   COTYPE_QZSSHR,
 
-  COTYPE_SBASORBIT = COBBASE_SBAS + COBOFS_ORBIT,
+  COTYPE_SBASORBIT    = COBBASE_SBAS + COBOFS_ORBIT,
   COTYPE_SBASCLOCK,
   COTYPE_SBASCOMBINED = COBBASE_SBAS + COBOFS_COMBINED,
@@ -65,5 +65,5 @@
   COTYPE_SBASHR,
 
-  COTYPE_BDSORBIT = COBBASE_BDS + COBOFS_ORBIT,
+  COTYPE_BDSORBIT    = COBBASE_BDS + COBOFS_ORBIT,
   COTYPE_BDSCLOCK,
   COTYPE_BDSCOMBINED = COBBASE_BDS + COBOFS_COMBINED,
@@ -75,10 +75,10 @@
 
 enum CodeBiasType {
-  BTYPE_GPS = COBBASE_GPS + COBOFS_BIAS,
+  BTYPE_GPS     = COBBASE_GPS     + COBOFS_BIAS,
   BTYPE_GLONASS = COBBASE_GLONASS + COBOFS_BIAS,
   BTYPE_GALILEO = COBBASE_GALILEO + COBOFS_BIAS,
-  BTYPE_QZSS = COBBASE_QZSS + COBOFS_BIAS,
-  BTYPE_SBAS = COBBASE_SBAS + COBOFS_BIAS,
-  BTYPE_BDS = COBBASE_BDS + COBOFS_BIAS,
+  BTYPE_QZSS    = COBBASE_QZSS    + COBOFS_BIAS,
+  BTYPE_SBAS    = COBBASE_SBAS    + COBOFS_BIAS,
+  BTYPE_BDS     = COBBASE_BDS     + COBOFS_BIAS,
   BTYPE_AUTO = 0
 };
@@ -126,16 +126,14 @@
 
 enum COR_OFFSETS {
-  CLOCKORBIT_OFFSETGPS=0,
-  CLOCKORBIT_OFFSETGLONASS=CLOCKORBIT_NUMGPS,
-  CLOCKORBIT_OFFSETGALILEO=CLOCKORBIT_NUMGPS+CLOCKORBIT_NUMGLONASS,
-  CLOCKORBIT_OFFSETQZSS=CLOCKORBIT_NUMGPS+CLOCKORBIT_NUMGLONASS
-  +CLOCKORBIT_NUMGALILEO,
-  CLOCKORBIT_OFFSETSBAS=CLOCKORBIT_NUMGPS+CLOCKORBIT_NUMGLONASS
-  +CLOCKORBIT_NUMGALILEO+CLOCKORBIT_NUMQZSS,
-  CLOCKORBIT_OFFSETBDS=CLOCKORBIT_NUMGPS+CLOCKORBIT_NUMGLONASS
-  +CLOCKORBIT_NUMGALILEO+CLOCKORBIT_NUMQZSS+CLOCKORBIT_NUMSBAS,
-  CLOCKORBIT_COUNTSAT=CLOCKORBIT_NUMGPS+CLOCKORBIT_NUMGLONASS
-  +CLOCKORBIT_NUMGALILEO+CLOCKORBIT_NUMQZSS+CLOCKORBIT_NUMSBAS
-  +CLOCKORBIT_NUMBDS
+  CLOCKORBIT_OFFSETGPS     = 0,
+  CLOCKORBIT_OFFSETGLONASS = CLOCKORBIT_NUMGPS,
+  CLOCKORBIT_OFFSETGALILEO = CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS,
+  CLOCKORBIT_OFFSETQZSS    = CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS + CLOCKORBIT_NUMGALILEO,
+  CLOCKORBIT_OFFSETSBAS    = CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS + CLOCKORBIT_NUMGALILEO
+                           + CLOCKORBIT_NUMQZSS,
+  CLOCKORBIT_OFFSETBDS     = CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS + CLOCKORBIT_NUMGALILEO
+                           + CLOCKORBIT_NUMQZSS + CLOCKORBIT_NUMSBAS,
+  CLOCKORBIT_COUNTSAT      = CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS + CLOCKORBIT_NUMGALILEO
+                           + CLOCKORBIT_NUMQZSS + CLOCKORBIT_NUMSBAS + CLOCKORBIT_NUMBDS
 };
 
@@ -267,10 +265,8 @@
 #endif
 
-struct ClockOrbit
-{
+struct ClockOrbit {
   enum ClockOrbitType messageType;
   unsigned int EpochTime[CLOCKORBIT_SATNUM];   /* 0 .. system specific maximum */
   unsigned int NumberOfSat[CLOCKORBIT_SATNUM]; /* 0 .. CLOCKORBIT_NUM... */
-
   unsigned int Supplied[COBOFS_NUM];           /* boolean */
 #ifdef COR_LATENCY
@@ -289,6 +285,5 @@
     double UserRangeAccuracy; /* accuracy values in [m] */
     double hrclock;
-    struct OrbitPart
-    {
+    struct OrbitPart {
       double DeltaRadial;           /* m */
       double DeltaAlongTrack;       /* m */
@@ -298,6 +293,5 @@
       double DotDeltaCrossTrack;    /* m/s */
     } Orbit;
-    struct ClockPart
-    {
+    struct ClockPart {
       double DeltaA0;               /* m */
       double DeltaA1;               /* m/s */
@@ -307,6 +301,5 @@
 };
 
-struct CodeBias
-{
+struct CodeBias {
   enum CodeBiasType messageType;
   unsigned int EpochTime[CLOCKORBIT_SATNUM];   /* 0 .. system specific maximum */
@@ -316,10 +309,8 @@
   unsigned int SSRProviderID;
   unsigned int SSRSolutionID;
-  struct BiasSat
-  {
+  struct BiasSat {
     unsigned int ID; /* all */
     unsigned int NumberOfCodeBiases;
-    struct CodeBiasEntry
-    {
+    struct CodeBiasEntry {
       enum CodeType Type;
       float         Bias;           /* m */
@@ -328,6 +319,5 @@
 };
 
-struct PhaseBias
-{
+struct PhaseBias {
   enum PhaseBiasType messageType;
   unsigned int EpochTime[CLOCKORBIT_SATNUM];   /* 0 .. system specific maximum */
@@ -339,12 +329,10 @@
   unsigned int DispersiveBiasConsistencyIndicator;
   unsigned int MWConsistencyIndicator;
-  struct PhaseBiasSat
-  {
+  struct PhaseBiasSat {
     unsigned int ID; /* all */
     unsigned int NumberOfPhaseBiases;
     double YawAngle; /* radiant */
     double YawRate;  /* radiant/s */
-    struct PhaseBiasEntry
-    {
+    struct PhaseBiasEntry {
       enum CodeType Type;
       unsigned int  SignalIntegerIndicator;
@@ -356,6 +344,5 @@
 };
 
-struct VTEC
-{
+struct VTEC {
   unsigned int EpochTime; /* GPS */
   unsigned int UpdateInterval;
@@ -386,22 +373,22 @@
 enum GCOB_RETURN {
   /* all well */
-  GCOBR_MESSAGEFOLLOWS = 1,
-  GCOBR_OK = 0,
+  GCOBR_MESSAGEFOLLOWS        =  1,
+  GCOBR_OK                    =  0,
   /* unknown data, a warning */
-  GCOBR_UNKNOWNTYPE = -1,
-  GCOBR_UNKNOWNDATA = -2,
-  GCOBR_CRCMISMATCH = -3,
-  GCOBR_SHORTMESSAGE = -4,
+  GCOBR_UNKNOWNTYPE           = -1,
+  GCOBR_UNKNOWNDATA           = -2,
+  GCOBR_CRCMISMATCH           = -3,
+  GCOBR_SHORTMESSAGE          = -4,
   /* failed to do the work */
   GCOBR_NOCLOCKORBITPARAMETER = -10,
-  GCOBR_NOCODEBIASPARAMETER = -11,
-  GCOBR_NOPHASEBIASPARAMETER = -12,
-  GCOBR_NOVTECPARAMETER = -13,
+  GCOBR_NOCODEBIASPARAMETER   = -11,
+  GCOBR_NOPHASEBIASPARAMETER  = -12,
+  GCOBR_NOVTECPARAMETER       = -13,
   /* data mismatch - data in storage does not match new data */
-  GCOBR_TIMEMISMATCH = -20,
-  GCOBR_DATAMISMATCH = -21,
+  GCOBR_TIMEMISMATCH          = -20,
+  GCOBR_DATAMISMATCH          = -21,
   /* not enough data - can decode the block completely */
-  GCOBR_SHORTBUFFER = -30,
-  GCOBR_MESSAGEEXCEEDSBUFFER = -31};
+  GCOBR_SHORTBUFFER           = -30,
+  GCOBR_MESSAGEEXCEEDSBUFFER  = -31};
 
 /* NOTE: When an error message has been emitted, the output structures may have been modified. Make a copy of the previous variant before calling the