Index: trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 8967)
+++ trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 8969)
@@ -660,4 +660,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "1X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -668,4 +669,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "1P") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -716,4 +718,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "2X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -724,4 +727,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "2P") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -756,4 +760,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "5X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -764,4 +769,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
           }
         }
@@ -818,4 +824,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "4X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -826,4 +833,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "6A") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -842,4 +850,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "6X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -850,4 +859,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "3I") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -866,4 +876,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "3X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -874,4 +885,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
           }
         }
@@ -904,4 +916,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "1X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -920,4 +933,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "5I") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -936,4 +950,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "5X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -944,4 +959,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "7I") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -960,4 +976,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "7X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -992,4 +1009,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "6A") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1016,4 +1034,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "6X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1032,4 +1051,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
           }
         }
@@ -1078,4 +1098,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "2X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1086,4 +1107,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "5I") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1102,4 +1124,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "5X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1110,4 +1133,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "6S") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1126,4 +1150,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "6X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1174,4 +1199,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "6E") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1182,4 +1208,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "6Z") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1190,4 +1217,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
           }
         }
@@ -1220,4 +1248,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "5X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1228,4 +1257,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
           }
         }
@@ -1250,4 +1280,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "2X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1258,4 +1289,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "6I") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1274,4 +1306,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "6X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1282,4 +1315,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "7I") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1298,4 +1332,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "7X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1306,4 +1341,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "1D") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1322,4 +1358,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "1X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1330,4 +1367,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#endif
             else if (it.key() == "5D") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1346,4 +1384,5 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#ifdef USE_SSR_RTCM
             else if (it.key() == "5X") {
               int ii = biasSat->NumberOfCodeBiases;
@@ -1354,4 +1393,22 @@
               biasSat->Biases[ii].Bias = it.value();
             }
+#elif USE_SSR_IGS
+            else if (it.key() == "1A") {
+              int ii = biasSat->NumberOfCodeBiases;
+              if (ii >= CLOCKORBIT_NUMBIAS)
+                break;
+              biasSat->NumberOfCodeBiases += 1;
+              biasSat->Biases[ii].Type = CODETYPE_BDS_B1_A;
+              biasSat->Biases[ii].Bias = it.value();
+            }
+            else if (it.key() == "6A") {
+              int ii = biasSat->NumberOfCodeBiases;
+              if (ii >= CLOCKORBIT_NUMBIAS)
+                break;
+              biasSat->NumberOfCodeBiases += 1;
+              biasSat->Biases[ii].Type = CODETYPE_BDS_B3_A;
+              biasSat->Biases[ii].Bias = it.value();
+            }
+#endif
           }
         }
@@ -1485,4 +1542,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "2X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1496,4 +1554,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "2P") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1540,4 +1599,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1551,4 +1611,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "1S") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1573,4 +1634,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "1X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1584,4 +1646,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
           }
         }
@@ -1656,4 +1719,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "4X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1667,4 +1731,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "6A") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1689,4 +1754,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "6X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1700,4 +1766,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "3I") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1722,4 +1789,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "3X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1733,4 +1801,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
           }
         }
@@ -1772,4 +1841,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "1X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1794,4 +1864,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "5I") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1816,4 +1887,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1827,4 +1899,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "7I") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1849,4 +1922,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "7X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1893,4 +1967,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "6A") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1926,4 +2001,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "6X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -1948,4 +2024,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
           }
         }
@@ -2008,4 +2085,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "2X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2018,4 +2096,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "5I") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2040,4 +2119,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2051,4 +2131,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "6S") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2073,4 +2154,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "6X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2139,4 +2221,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "6E") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2150,4 +2233,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "6Z") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2161,4 +2245,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
           }
         }
@@ -2199,4 +2284,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2210,4 +2296,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
           }
         }
@@ -2238,4 +2325,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "2X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2249,4 +2337,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "6I") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2271,4 +2360,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "6X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2282,4 +2372,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "7I") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2304,4 +2395,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "7X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2314,4 +2406,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "1D") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2334,4 +2427,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "1X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2344,4 +2438,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#endif
             else if (pbSig.type == "5D") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2364,4 +2459,5 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#ifdef USE_SSR_RTCM
             else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
@@ -2374,4 +2470,26 @@
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
             }
+#elif USE_SSR_IGS
+            else if (pbSig.type == "1A") {
+              int ii = phasebiasSat->NumberOfPhaseBiases;
+              if (ii >= CLOCKORBIT_NUMBIAS)
+                break;
+              phasebiasSat->NumberOfPhaseBiases += 1;
+              phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_A;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
+            }
+            else if (pbSig.type == "6A") {
+              int ii = phasebiasSat->NumberOfPhaseBiases;
+              if (ii >= CLOCKORBIT_NUMBIAS)
+                break;
+              phasebiasSat->NumberOfPhaseBiases += 1;
+              phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_A;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter = pbSig.discontinuityCounter;
+            }
+#endif
           }
         }