Index: branches/BNC_2.12/src/RTCM3/RTCM3Decoder.cpp
===================================================================
--- branches/BNC_2.12/src/RTCM3/RTCM3Decoder.cpp	(revision 8997)
+++ branches/BNC_2.12/src/RTCM3/RTCM3Decoder.cpp	(revision 9001)
@@ -411,5 +411,5 @@
         {BDS_WAVELENGTH_B2a, "5P"},
         {BDS_WAVELENGTH_B2a, "5X"},
-        {0.0, 0},
+        {BDS_WAVELENGTH_B2b, "7D"},
         {0.0, 0},
         {0.0, 0},
@@ -1623,5 +1623,5 @@
        * extracted data block. That does no harm, as it anyway skip everything
        * else. */
-      if ((id >= 1057 && id <= 1068) || 
+      if ((id >= 1057 && id <= 1068) ||
           (id >= 1240 && id <= 1270) ||
           (id == 4076)) {
@@ -1634,6 +1634,5 @@
         }
       }
-      else if ((id >= 1070 && id <= 1229) ||
-               (id >=   21 && id <=   27)) /* MSM */ {
+     else if (id >= 1070 && id <= 1229) { /* MSM */
         if (DecodeRTCM3MSM(_Message, _BlockSize))
           decoded = true;
@@ -1679,5 +1678,5 @@
               decoded = true;
             break;
-          case 29:
+          case 1141:
             if (DecodeIRNSSEphemeris(_Message, _BlockSize))
               decoded = true;
@@ -1688,5 +1687,5 @@
               decoded = true;
             break;
-          case RTCM3ID_BDS:
+          case 1042:
             if (DecodeBDSEphemeris(_Message, _BlockSize))
               decoded = true;
Index: branches/BNC_2.12/src/RTCM3/ephEncoder.cpp
===================================================================
--- branches/BNC_2.12/src/RTCM3/ephEncoder.cpp	(revision 8997)
+++ branches/BNC_2.12/src/RTCM3/ephEncoder.cpp	(revision 9001)
@@ -51,5 +51,5 @@
     GPSADDBITS(3, 0) /* padding */
  } else if (eph.type() == t_eph::IRNSS) {
-    GPSADDBITS(12, 29)
+    GPSADDBITS(12, 1141)
     GPSADDBITS(6, eph._prn.number())
     GPSADDBITS(10, eph._TOC.gpsw())
@@ -316,5 +316,5 @@
 
   int URA = indexFromAccuracy(eph._URA, eph.type());
-  BDSADDBITS(12, RTCM3ID_BDS)
+  BDSADDBITS(12, 1042)
   BDSADDBITS(6, eph._prn.number())
   BDSADDBITS(13, eph._TOC.bdsw())
Index: branches/BNC_2.12/src/RTCM3/gnss.h
===================================================================
--- branches/BNC_2.12/src/RTCM3/gnss.h	(revision 8997)
+++ branches/BNC_2.12/src/RTCM3/gnss.h	(revision 9001)
@@ -26,11 +26,11 @@
 #define GNSS_H
 
-#define LIGHTSPEED         2.99792458e8    /* m/sec */
-#define GPS_FREQU_L1       1575420000.0  /* Hz */
-#define GPS_FREQU_L2       1227600000.0  /* Hz */
-#define GPS_FREQU_L5       1176450000.0  /* Hz */
-#define GPS_WAVELENGTH_L1  (LIGHTSPEED / GPS_FREQU_L1) /* m */
-#define GPS_WAVELENGTH_L2  (LIGHTSPEED / GPS_FREQU_L2) /* m */
-#define GPS_WAVELENGTH_L5  (LIGHTSPEED / GPS_FREQU_L5) /* m */
+#define LIGHTSPEED          2.99792458e8    /* m/sec */
+#define GPS_FREQU_L1        1575420000.0  /* Hz */
+#define GPS_FREQU_L2        1227600000.0  /* Hz */
+#define GPS_FREQU_L5        1176450000.0  /* Hz */
+#define GPS_WAVELENGTH_L1   (LIGHTSPEED / GPS_FREQU_L1) /* m */
+#define GPS_WAVELENGTH_L2   (LIGHTSPEED / GPS_FREQU_L2) /* m */
+#define GPS_WAVELENGTH_L5   (LIGHTSPEED / GPS_FREQU_L5) /* m */
 
 #define GLO_FREQU_L1_BASE   1602000000.0  /* Hz */
@@ -49,9 +49,9 @@
 #define GLO_WAVELENGTH_L3    (LIGHTSPEED / GLO_FREQU_L3)    /* m */
 
-#define GAL_FREQU_E1       1575420000.0  /* Hz */
-#define GAL_FREQU_E5A      1176450000.0  /* Hz */
-#define GAL_FREQU_E5AB     1191795000.0  /* Hz */
-#define GAL_FREQU_E5B      1207140000.0  /* Hz */
-#define GAL_FREQU_E6       1278750000.0  /* Hz */
+#define GAL_FREQU_E1          1575420000.0  /* Hz */
+#define GAL_FREQU_E5A         1176450000.0  /* Hz */
+#define GAL_FREQU_E5AB        1191795000.0  /* Hz */
+#define GAL_FREQU_E5B         1207140000.0  /* Hz */
+#define GAL_FREQU_E6          1278750000.0  /* Hz */
 #define GAL_WAVELENGTH_E1     (LIGHTSPEED / GAL_FREQU_E1) /* m */
 #define GAL_WAVELENGTH_E5A    (LIGHTSPEED / GAL_FREQU_E5A) /* m */
@@ -74,4 +74,5 @@
 #define BDS_FREQU_B1C      1575420000.0  /* Hz */
 #define BDS_FREQU_B2a      1176450000.0  /* Hz */
+#define BDS_FREQU_B2b      1207140000.0  /* Hz */
 #define BDS_WAVELENGTH_B1  (LIGHTSPEED / BDS_FREQU_B1)  /* m */
 #define BDS_WAVELENGTH_B2  (LIGHTSPEED / BDS_FREQU_B2)  /* m */
@@ -79,4 +80,5 @@
 #define BDS_WAVELENGTH_B1C (LIGHTSPEED / BDS_FREQU_B1C) /* m */
 #define BDS_WAVELENGTH_B2a (LIGHTSPEED / BDS_FREQU_B2a) /* m */
+#define BDS_WAVELENGTH_B2b (LIGHTSPEED / BDS_FREQU_B2b) /* m */
 
 #define IRNSS_FREQU_L5      1176450000.0 /* Hz */
@@ -87,5 +89,3 @@
 #define R2R_PI          3.1415926535898
 
-#define RTCM3ID_BDS 1042
-
 #endif /* GNSS_H */