Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 9005)
+++ /trunk/BNC/src/bnchelp.html	(revision 9006)
@@ -500,6 +500,6 @@
 <tr align="center"> <td>1043</td> <td>Ephemeris</td>                  <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
 <tr align="center"> <td>1044</td> <td>Ephemeris</td>                  <td>QZSS</td>          <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>63</td>   <td>Ephemeris</td>                  <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>29</td>   <td>Ephemeris</td>                  <td>IRNSS</td>         <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>1042</td> <td>Ephemeris</td>                  <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>1041</td> <td>Ephemeris</td>                  <td>IRNSS</td>         <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
 
 <tr align="center"> <td><b><br>Observation</b></td> <td></td>         <td></td>              <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
@@ -514,7 +514,7 @@
 <tr align="center"> <td>1111-17</td> <td>Multiple Signal Message</td> <td>QZSS</td>          <td> </td> <td>x</td> <td>x</td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
 <tr align="center"> <td>1121-27</td> <td>Multiple Signal Message</td> <td>BDS</td>           <td> </td> <td>x</td> <td>x</td> <td> </td> <td> </td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>  21-27</td> <td>Multiple Signal Message</td> <td>IRNSS</td>         <td> </td> <td>x</td> <td>x</td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
-
-<tr align="center"> <td><b><br>SSR I</b></td> <td></td>               <td></td>              <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>1131-37</td> <td>Multiple Signal Message</td> <td>IRNSS</td>         <td> </td> <td>x</td> <td>x</td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
+
+<tr align="center"> <td><b><br>RTCM SSR I</b></td> <td></td>          <td></td>              <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
 <tr align="center"> <td>1057</td> <td>Orbit Corrections</td>          <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 <tr align="center"> <td>1063</td> <td>Orbit Corrections</td>          <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
@@ -552,12 +552,14 @@
 <tr align="center"> <td>1261</td> <td>Comb. Orbits & Clocks</td>      <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
 
-<tr align="center"> <td><b><br>SSR II</b></td> <td></td>               <td></td>             <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1264</td> <td>VTEC</td>                       <td>GNSS </td>         <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1265</td> <td>Phase Biases</td>               <td>GPS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1266</td> <td>Phase Biases</td>               <td>GLONASS</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1267</td> <td>Phase Biases</td>               <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td><b><br>RTCM SSR II</b></td> <td></td>         <td></td>             <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>1264</td> <td>VTEC</td>                       <td>GNSS </td>         <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>1265</td> <td>Phase Biases</td>               <td>GPS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>1266</td> <td>Phase Biases</td>               <td>GLONASS</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>1267</td> <td>Phase Biases</td>               <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
 <tr align="center"> <td>1268</td> <td>Phase Biases</td>               <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
 <tr align="center"> <td>1269</td> <td>Phase Biases</td>               <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1270</td> <td>Phase Biases</td>               <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>1270</td> <td>Phase Biases</td>               <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td><b><br>IGS SSR</b></td> <td></td>             <td></td>              <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>4076</td> <td>IGS SSR</td>                    <td>GNSS </td>         <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
 
 </table>