Index: branches/BNC_2.12/Example_Configs/02_RinexEph.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/02_RinexEph.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/02_RinexEph.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:80/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:80/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/03_BrdcCorr.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/03_BrdcCorr.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/03_BrdcCorr.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:80/IGS01 RTCM_3.0 DEU 50.00 10.00 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:80/SSRA01IGS0 RTCM_3.0 DEU 50.00 10.00 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/08_PPP.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/08_PPP.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/08_PPP.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/SSRA03IGS0 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/09_PPPNet.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/09_PPPNet.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/09_PPPNet.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.1 AUS 51.33 12.37 no 1, //Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.1 AUS 51.33 12.37 no 1, //Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@products.igs-ip.net:2101/SSRA03IGS0 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
@@ -127,5 +127,5 @@
 audioResponse=
 corrFile=
-corrMount=IGS03
+corrMount=SSRA03IGS0
 corrWaitTime=5
 crdFile=Input/APRIORI.CRD
Index: branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/SSRA03IGS0 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc	(revision 9039)
@@ -4,5 +4,5 @@
 adviseScript=
 autoStart=0
-outSampl=0
+outSampl=0.1 sec
 casterUrlList=http://user:pass@mgex.igs-ip.net:2101, http://user:pass@products.igs-ip.net:2101, http://user:pass@www.euref-ip.net:2101, http://user:pass@www.igs-ip.net:2101
 cmbMaxres=
@@ -22,8 +22,8 @@
 miscMount=
 miscPort=
-mountPoints=
+mountPoints=@Invalid()
 ntripVersion=2
 adviseObsRate=
-onTheFlyInterval=1 day
+onTheFlyInterval=no
 ephOutPort=
 outFile=
@@ -71,5 +71,5 @@
 rnxOnlyWithSKL=0
 rnxPath=
-rnxSampl=0
+rnxSampl=0.1 sec
 rnxScript=
 rnxSkel=SKL
@@ -121,9 +121,10 @@
 uploadSamplSp3=1
 outWait=5
+outLockTime=0
 
 [PPP]
 antexFile=Input/igs14.atx
 audioResponse=
-corrFile=Input/CLK93194M.15C
+corrFile=/home/stuerze/tools/BNC_2.12/Example_Configs/Input/CLK93194M.15C
 corrMount=
 corrWaitTime=0
@@ -133,7 +134,7 @@
 eleWgtPhase=0
 lcBDS=no
-lcGLONASS=P3&L3
+lcGLONASS=no
 lcGPS=P3&L3
-lcGalileo=L3
+lcGalileo=no
 logPath=Output
 mapSpeedSlider=23
@@ -153,5 +154,5 @@
 snxtroPath=
 snxtroIntr=1 hour
-snxtroSampl=0
+snxtroSampl=1 sec
 snxtroAc=
 snxtroSol=
Index: branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 DEU -32.00 115.89 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 DEU -32.00 115.89 no 1, //Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1
 ntripVersion=2
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc	(revision 9039)
@@ -5,5 +5,5 @@
 autoStart=0
 outSampl=1 sec
-casterUrlList=http://User:Pass@products.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
+casterUrlList=http://bkg:realtime06@products.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
 cmbMaxres=
 cmbMethod=Single-Epoch
@@ -18,10 +18,10 @@
 ephV3=0
 font=
-sslIgnoreErrors=0
+sslIgnoreErrors=2
 logFile=Output/SP3.log
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1
-ntripVersion=1
+mountPoints=//bkg:realtime06@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3.3 DEU 50.09 8.66 no 2, //bkg:realtime06@products.igs-ip.net:2101/SSRA00CNE0 RTCM_3.1 FRA 43.56 1.48 no 2
+ntripVersion=2
 adviseObsRate=
 onTheFlyInterval=no
@@ -31,6 +31,6 @@
 outUPort=
 miscIntr=
-proxyHost=
-proxyPort=
+proxyHost=gate-f
+proxyPort=8001
 rawOutFile=
 reqcAction=
@@ -116,8 +116,8 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut=",,,,IGS14,0,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadMountpointsOut=",,,,IGS14,IGS-SSR,0,./BNC${GPSWD}.clk,,,,,0 byte(s),"
 uploadSamplClkRnx=10
 uploadSamplRtcmEphCorr=0
-uploadSamplSp3=1
+uploadSamplSp3=0
 outWait=5
 outLockTime=0
@@ -157,5 +157,5 @@
 snxtroAc=
 snxtroSol=
-staTable=",,"
+staTable=",,,,,"
 useGoogleMap=false
 useOpenStreetMap=false
Index: branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.euref-ip.net:2101/EUREF01 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU0 RTCM_3.0 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.euref-ip.net:2101/EUREF01 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU0 RTCM_3.0 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
@@ -116,5 +116,5 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut=",,,,,0,Output/BNC${GPSWD}.sp3,,,,,0 byte(s),"
+uploadMountpointsOut=",,,,ETRF2000,IGS-SSR,0,,,,,,0 byte(s),"
 uploadSamplClkRnx=0
 uploadSamplRtcmEphCorr=0
Index: branches/BNC_2.12/Example_Configs/16_Upload.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/16_Upload.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/16_Upload.bnc	(revision 9039)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//localhost:6501/ENGINE RTNET DEU 0 0 no N, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1
+mountPoints=//localhost:6501/ENGINE RTNET DEU 0 0 no N, //Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
@@ -116,5 +116,5 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS14,0,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS14,IGS-SSR,0,Output/BNC${GPSWD}.clk,,,,,0 byte(s),"
 uploadSamplClkRnx=0
 uploadSamplRtcmEphCorr=0
@@ -157,5 +157,5 @@
 snxtroAc=
 snxtroSol=
-staTable=","
+staTable=",,,"
 useGoogleMap=false
 useOpenStreetMap=false
Index: branches/BNC_2.12/Example_Configs/17_Combi.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/17_Combi.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/17_Combi.bnc	(revision 9039)
@@ -10,5 +10,5 @@
 cmbSampl=10
 cmbUseGlonass=0
-cmbStreams="IGS01 ESA 1.0 ", "IGS02 BKG 1.0 "
+cmbStreams="SSRA01IGS0 ESA 1.0 ", "SSRA02IGS0 BKG 1.0 "
 corrIntr=1 day
 corrPath=
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS01 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/IGS02 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@products.igs-ip.net:2101/SSRA01IGS0 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/SSRA02IGS0 RTCM_3.0 DEU 50.00 10.00 no 1
 ntripVersion=1
 adviseObsRate=
@@ -92,5 +92,5 @@
 sp3CompOutLogFile=
 sslCaCertPath=
-startTab=15
+startTab=16
 statusTab=0
 trafo_dx=
@@ -116,5 +116,5 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS14,0,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS14,IGS-SSR,0,Output/BNC${GPSWD}.clk,,,,,0 byte(s),"
 uploadSamplClkRnx=0
 uploadSamplRtcmEphCorr=0
@@ -157,5 +157,5 @@
 snxtroAc=
 snxtroSol=
-staTable=","
+staTable=",,,,"
 useGoogleMap=false
 useOpenStreetMap=false
Index: branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc	(revision 9038)
+++ branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc	(revision 9039)
@@ -10,5 +10,5 @@
 cmbSampl=10
 cmbUseGlonass=0
-cmbStreams="IGS01 BKG 1.0 ", "IGS02 ESA 1.0 "
+cmbStreams="SSRA01IGS0 BKG 1.0 ", "SSRA02IGS0 ESA 1.0 "
 corrIntr=1 day
 corrPath=
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS01 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/IGS02 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/SSRA01IGS0 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/SSRA02IGS0 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/BCEP01BKG0 RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
@@ -92,5 +92,5 @@
 sp3CompOutLogFile=
 sslCaCertPath=
-startTab=15
+startTab=16
 statusTab=3
 trafo_dx=
@@ -116,5 +116,5 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS14,0,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS14,IGS-SSR,0,Output/BNC${GPSWD}.clk,,,,,0 byte(s),"
 uploadSamplClkRnx=0
 uploadSamplRtcmEphCorr=0